Name:		virglrenderer
Version:	0.8.2
Release:	3
Summary:	VirGL virtual OpenGL renderer
License:	MIT
URL: https://virgil3d.github.io

Source0: https://gitlab.freedesktop.org/virgl/%{name}/-/archive/%{name}-%{version}/%{name}-%{name}-%{version}.tar.gz

Patch00:        0000-vrend-clear-memory-when-allocating-a-host-backed-mem.patch
Patch01:        0001-vrend-Add-test-to-resource-OOB-write-and-fix-it.patch

BuildRequires:	meson
BuildRequires:	python3
BuildRequires:	libepoxy-devel
BuildRequires:	libdrm-devel
BuildRequires:	mesa-libgbm-devel
BuildRequires:	xorg-x11-util-macros
BuildRequires:	mesa-libEGL-devel

%description
The virgil3d rendering library is a library used by
qemu to implement 3D GPU support for the virtio GPU.

%package devel
Summary: Virgil3D renderer development files

Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Virgil3D renderer development files,
It is required while building qemu.

Requires: %{name}%{?_isa} = %{version}-%{release}

%prep
%setup -q -n %{name}-%{name}-%{version}
%autopatch -p1

%build
%meson
%meson_build

%install
%meson_install

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING
%{_libdir}/lib*.so.*
%{_bindir}/virgl_test_server

%files devel
%dir %{_includedir}/virgl/
%{_includedir}/virgl/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Aug 27 2022 yezengruan <yezengruan@huawei.com> - 0.8.2-3
- vrend: Add test to resource OOB write and fix it (CVE-2022-0135)

* Wed Jul 06 2022 yezengruan <yezengruan@huawei.com> - 0.8.2-2
- vrend: clear memory when allocating a host-backed memory resource (CVE-2022-0175)

* Fri Jul 24 2020 shixuantong <shixuantong@huawei.com> - 0.8.2-1
- update to 0.8.2-1

* Fri Oct 18 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.7.0-1
- Package init
